Osi 0.107.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinBigIndexArrayWithLength Class Reference

CoinBigIndex * version. More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinBigIndexArrayWithLength:
[legend]
Collaboration diagram for CoinBigIndexArrayWithLength:
[legend]

## Public Member Functions
Get methods.
int | getSize () const
| Get the size. More...
CoinBigIndex * | array () const
| Get Array. More...
Set methods
void | setSize (int value)
| Set the size. More...
Condition methods
CoinBigIndex * | conditionalNew (int sizeWanted)
| Conditionally gets new array. More...
Constructors and destructors
| CoinBigIndexArrayWithLength ()
| Default constructor - NULL. More...
| CoinBigIndexArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1. More...
| CoinBigIndexArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed. More...
| CoinBigIndexArrayWithLength (const CoinBigIndexArrayWithLength &rhs)
| Copy constructor. More...
| CoinBigIndexArrayWithLength (const CoinBigIndexArrayWithLength *rhs)
| Copy constructor.2. More...
CoinBigIndexArrayWithLength & | operator= (const CoinBigIndexArrayWithLength &rhs)
| Assignment operator. More...
Public Member Functions inherited from CoinArrayWithLength
int | getSize () const
| Get the size. More...
int | rawSize () const
| Get the size. More...
bool | switchedOn () const
| See if persistence already on. More...
int | capacity () const
| Get the capacity (just read it) More...
void | setCapacity ()
| Set the capacity to >=0 if <=-2. More...
const char * | array () const
| Get Array. More...
void | setSize (int value)
| Set the size. More...
void | switchOff ()
| Set the size to -1. More...
void | switchOn (int alignment=3)
| Set the size to -2 and alignment. More...
void | setPersistence (int flag, int currentLength)
| Does what is needed to set persistence. More...
void | clear ()
| Zero out array. More...
void | swap (CoinArrayWithLength &other)
| Swaps memory between two members. More...
void | extend (int newSize)
| Extend a persistent array keeping data (size in bytes) More...
char * | conditionalNew (long sizeWanted)
| Conditionally gets new array. More...
void | conditionalDelete ()
| Conditionally deletes. More...
| CoinArrayWithLength ()
| Default constructor - NULL. More...
| CoinArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1. More...
| CoinArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size mode>0 size_ set to size and zeroed if size<=0 just does alignment If abs(mode) >2 then align on that as power of 2. More...
| CoinArrayWithLength (const CoinArrayWithLength &rhs)
| Copy constructor. More...
| CoinArrayWithLength (const CoinArrayWithLength *rhs)
| Copy constructor.2. More...
CoinArrayWithLength & | operator= (const CoinArrayWithLength &rhs)
| Assignment operator. More...
void | copy (const CoinArrayWithLength &rhs, int numberBytes=-1)
| Assignment with length (if -1 use internal length) More...
void | allocate (const CoinArrayWithLength &rhs, int numberBytes)
| Assignment with length - does not copy. More...
| ~CoinArrayWithLength ()
| Destructor. More...
void | getArray (int size)
| Get array with alignment. More...
void | reallyFreeArray ()
| Really get rid of array with alignment. More...
void | getCapacity (int numberBytes, int numberIfNeeded=-1)
| Get enough space (if more needed then do at least needed) More...

## Additional Inherited Members
Protected Attributes inherited from CoinArrayWithLength
char * | array_
| Array. More...
CoinBigIndex | size_
| Size of array in bytes. More...
int | offset_
| Offset of array. More...
int | alignment_
| Alignment wanted (power of 2) More...

## Detailed Description

CoinBigIndex * version.

Definition at line 835 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( |  | ) |
| inline

Default constructor - NULL.

Definition at line 865 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | int | size | ) |
| inline

Alternate Constructor - length in bytes - size_ -1.

Definition at line 868 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | int | size,
|  | int | mode
| ) |  |
| inline

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 874 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | const CoinBigIndexArrayWithLength & | rhs | ) |
| inline

Copy constructor.

Definition at line 877 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength::CoinBigIndexArrayWithLength | ( | const CoinBigIndexArrayWithLength * | rhs | ) |
| inline

Copy constructor.2.

Definition at line 880 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinBigIndexArrayWithLength::getSize | ( |  | ) | const
| inline

Get the size.

Definition at line 841 of file CoinIndexedVector.hpp.

CoinBigIndex* CoinBigIndexArrayWithLength::array | ( |  | ) | const
| inline

Get Array.

Definition at line 844 of file CoinIndexedVector.hpp.

void CoinBigIndexArrayWithLength::setSize | ( | int | value | ) |
| inline

Set the size.

Definition at line 851 of file CoinIndexedVector.hpp.

CoinBigIndex* CoinBigIndexArrayWithLength::conditionalNew | ( | int | sizeWanted | ) |
| inline

Conditionally gets new array.

Definition at line 858 of file CoinIndexedVector.hpp.

CoinBigIndexArrayWithLength& CoinBigIndexArrayWithLength::operator= | ( | const CoinBigIndexArrayWithLength & | rhs | ) |
| inline

Assignment operator.

Definition at line 883 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /tmp/Osi-0.107.7/CoinUtils/src/CoinIndexedVector.hpp